:root {
	--bg : lightgrey;
	--bg-input : lightpink;
}

body {
	background: var(--bg);
	font-family: monospace;
	font-size: 16px;
	margin: 0;
	padding: 0;
}

main {
	width: 100%;
	height: 100%;
	position: fixed;
	margin: 0;
	padding: 3em;
	padding-top: 6em;
	overflow-y: scroll;
}

#testing {
	transform: scale(.4);
	width: 230%;
  transform-origin: 0 0;
}

nav {
	height: 40px;
	width: 100%;
	background: var(--bg-input);
	position: fixed;
	bottom: 0;
	left: 0;
	margin: 0;
	padding: 0;
}

#input {
	height: 100%;
	width: 100%;
	background: none;
	font-size: 2rem;
	border: none;
	font-family: monospace;
}

svg {
	margin: 0;
	overflow: visible;
	outline: 10% solid blue;
}
.grid-line-struc{
	stroke: blue;
}
svg line {
	display: none;
	stroke: blue;
	stroke-width: 0.01px;
}
svg:hover line {
	display: block 
}
svg path{
	opacity: .9;
}


svg path:hover {
	stroke: purple;
}

svg:hover path{
	stroke-width: .25px !important;
	transition: stroke-width .2s;
}
svg:hover .dot {
	opacity: 0;
	transition: opacity .2s;
}

@media print {
	/* All your print styles go here */
	body > input,
	main > nav{
	  display: none !important;
	}
  }
  
